/*
 *  Include File Written by TPG on 20-SEP-00 09:26:43 */
/*
 *  TPARSE Table tpg_state_table
 */


#include "tpg_tpa_rtndef.h"
#define MAIN    tpg_state_table[0]
#define MAIN_1  tpg_state_table[3]
#define INIT_STATE_TABLE    tpg_state_table[4]
#define TPG_BASE_STATE  tpg_state_table[8]
#define STATE_NAME  tpg_state_table[14]
#define TRAN_TYPE   tpg_state_table[18]
#define TYPE_LITERAL    tpg_state_table[26]
#define TYPE_LITERAL_1  tpg_state_table[28]
#define TYPE_SUBEXPR    tpg_state_table[32]
#define TYPE_COMMA  tpg_state_table[35]
#define TRAN_LABEL  tpg_state_table[40]
#define LABEL_COMMA tpg_state_table[44]
#define TRAN_ACTION tpg_state_table[48]
#define ACTION_COMMA    tpg_state_table[52]
#define TRAN_MASK   tpg_state_table[56]
#define MASK_COMMA  tpg_state_table[60]
#define TRAN_MASK_ADR   tpg_state_table[64]
#define MASK_ADR_COMMA  tpg_state_table[68]
#define TRAN_ARGUMENT   tpg_state_table[72]
#define TRAN_END    tpg_state_table[76]

static struct tpatab    tpg_state_table[] =
    {
        /* 0: MAIN */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &MAIN, GET_NEXT_RECORD, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_KEYWORD, 0, 0, "PSL$INIT_STATE", 0, &INIT_STATE_TABLE, 0, 0, 0,
         0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &MAIN_1, REP_ERROR_LINE, TPG_NOINITSTATE, 0, 0,
         0, 0, 0, 0},
        /* 3: MAIN_1 */
        {1, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, GET_NEXT_RECORD, 0, 0, 0, 0, 0, 0, 0},
        /* 4: INIT_STATE_TABLE */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &INIT_STATE_TABLE, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &TPG_BASE_STATE, INIT_STATE, 0, 0, 0,
         0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 1, 0, 0, 0, REP_ERROR_TOKEN, TPG_INVINITSTATE, 0, 0,
         0, 0, 0, 0},
        /* 8: TPG_BASE_STATE */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, GET_NEXT_RECORD, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_KEYWORD, 0, 0, "PSL$STATE", 0, &STATE_NAME, 0, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_KEYWORD, 0, 0, "PSL$TRAN", 0, &TRAN_TYPE, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_KEYWORD, 0, 0, "PSL$END_STATE", 0, &TPG_BASE_STATE, END_STATE, 0,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, CHECK_END_OF_FILE, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TRAN_TYPE, REP_ERROR_TOKEN, PSL_INVKEYWRD, 0,
         0, 0, 0, 0, 0},
        /* 14: STATE_NAME */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &STATE_NAME, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &TPG_BASE_STATE, STATE, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_TOKEN,
         TPG_INVSTATENAME, 0, 0, 0, 0, 0, 0},
        /* 18: TRAN_TYPE */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_TYPE, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &TYPE_COMMA, STORE_TYPE, 1, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_QUOTED, 0, 0, 0, 0, &TYPE_COMMA, STORE_TYPE, 1, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, '<', 0, 0, 0, &TRAN_TYPE, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, '!', 0, 0, 0, &TYPE_SUBEXPR, STORE_TYPE, 2, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_CHAR, '%', 0, 0, 0, &TYPE_LITERAL, STORE_TYPE, 2, 0, 0,
         0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TYPE_COMMA, REP_ERROR_TOKEN, PSL_SYNTAXERR, 0,
         0, 0, 0, 0, 0},
        /* 26: TYPE_LITERAL */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TYPE_LITERAL_1, STORE_TYPE, 2, 0, 0, 0, 0, 0, 0},
        /* 28: TYPE_LITERAL_1 */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_LABEL, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_ANY, 0, 0, 0, 0, &TYPE_COMMA, STORE_TYPE, 2, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_LABEL, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &TRAN_LABEL, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 32: TYPE_SUBEXPR */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &TYPE_COMMA, STORE_TYPE, 1, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TYPE_COMMA, REP_ERROR_TOKEN, PSL_SYNTAXERR, 0,
         0, 0, 0, 0, 0},
        /* 35: TYPE_COMMA */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TYPE_COMMA, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, '>', 0, 0, 0, &TYPE_COMMA, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_LABEL, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &TRAN_LABEL, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 40: TRAN_LABEL */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_LABEL, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &LABEL_COMMA, 0, 0, &label_ptr, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &LABEL_COMMA, REP_ERROR_TOKEN, PSL_INVKEYWRD,
         0, 0, 0, 0, 0, 0},
        /* 44: LABEL_COMMA */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &LABEL_COMMA, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_ACTION, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TRAN_ACTION, REP_ERROR_SYMBOL, TPG_MISSCOMMA,
         0, 0, 0, 0, 0, 0},
        /* 48: TRAN_ACTION */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_ACTION, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_PREMEOL,
         0, 0, 0, 0, 0, 0},
        {0, PSLTPA_SYMBOL, 0, 0, 0, 0, &ACTION_COMMA, 0, 0, &action_ptr, 0,
         0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ACTION_COMMA, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 52: ACTION_COMMA */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &ACTION_COMMA, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_MASK, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TRAN_MASK, REP_ERROR_SYMBOL, TPG_MISSCOMMA, 0,
         0, 0, 0, 0, 0},
        /* 56: TRAN_MASK */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_MASK, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_EXPRESSION, 0, 0, 0, 0, &MASK_COMMA, STORE_MASK, 0, 0, 0,
         0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &MASK_COMMA, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 60: MASK_COMMA */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &MASK_COMMA, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_MASK_ADR, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &TRAN_MASK_ADR, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 64: TRAN_MASK_ADR */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_MASK_ADR, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_EXPRESSION, 0, 0, 0, 0, &MASK_ADR_COMMA, STORE_MASK_ADR, 0, 0, 0,
         0, 0, 0, 0},
        {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &MASK_ADR_COMMA, 0, 0, 0, 0, 0, 0, 0, 0},
        /* 68: MASK_ADR_COMMA */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &MASK_ADR_COMMA, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_CHAR, ',', 0, 0, 0, &TRAN_ARGUMENT, 0, 0, 0, 0, 0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TRAN_ARGUMENT, REP_ERROR_SYMBOL,
         TPG_MISSCOMMA, 0, 0, 0, 0, 0, 0},
        /* 72: TRAN_ARGUMENT */
        {0, PSLTPA_CHAR, '-', 0, 0, 0, &TRAN_ARGUMENT, GET_CONTINUATION, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EXPRESSION, 0, 0, 0, 0, &TRAN_END, STORE_ARGUMENT, 0, 0, 0,
         0, 0, 0, 0},
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TRAN_END, 0, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TRAN_END, REP_ERROR_TOKEN, PSL_SYNTAXERR, 0, 0,
         0, 0, 0, 0},
        /* 76: TRAN_END */
        {0, PSLTPA_EOS, 0, 0, 0, 0, &TPG_BASE_STATE, TRAN, 0, 0, 0, 0, 0, 0, 0},
        {1, PSLTPA_ANY, 0, 0, 0, 0, &TPG_BASE_STATE, REP_ERROR_LINE, PSL_SYNTAXERR,
         0, 0, 0, 0, 0, 0}
    };
