/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_MONITORSELECT_H__031DDECB_4679_49C2_ACBB_753B9D535006__INCLUDED_)
#define AFX_MONITORSELECT_H__031DDECB_4679_49C2_ACBB_753B9D535006__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MonitorSelect.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMonitorSelect dialog

class CMonitorSelect : public CDialog
{
// Construction
public:
	CString GetTestFile();
	CMonitorSelect(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMonitorSelect)
	enum { IDD = IDD_MONITOR_SELECT };
	CListBox	m_ctlTestList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMonitorSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMonitorSelect)
	virtual BOOL OnInitDialog();
	afx_msg void OnUpdate();
	afx_msg void OnMonitor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString m_strTestFile;
	void FindActiveTests();
	int GetNextField(char sep, CString &inStr, CString &field);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MONITORSELECT_H__031DDECB_4679_49C2_ACBB_753B9D535006__INCLUDED_)
