/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_XAUDITVIEWERCTL_H__CC49FB35_EAC4_11D4_94CA_00C04F89E392__INCLUDED_)
#define AFX_XAUDITVIEWERCTL_H__CC49FB35_EAC4_11D4_94CA_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// XAuditViewerCtl.h : Declaration of the CXAuditViewerCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CXAuditViewerCtrl : See XAuditViewerCtl.cpp for implementation.
#include "ResultsDlg.h"
class CXAuditViewerCtrl : public COleControl
{
	DECLARE_DYNCREATE(CXAuditViewerCtrl)

// Constructor
public:
	CXAuditViewerCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXAuditViewerCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CXAuditViewerCtrl();

	CResultsDlg m_ResultsDlg;

	DECLARE_OLECREATE_EX(CXAuditViewerCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CXAuditViewerCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CXAuditViewerCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CXAuditViewerCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CXAuditViewerCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CXAuditViewerCtrl)
	afx_msg BOOL SetRunFolder(LPCTSTR szRunFolder);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

// Event maps
	//{{AFX_EVENT(CXAuditViewerCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CXAuditViewerCtrl)
	dispidSetRunFolder = 1L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XAUDITVIEWERCTL_H__CC49FB35_EAC4_11D4_94CA_00C04F89E392__INCLUDED)
