/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ClientHeaderView.cpp: implementation of the CClientHeaderView class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "modeller.h"
#include "constantes.h"
#include "VariousObject.h"
#include "ClientHeaderView.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//----------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CClientHeaderView, CHeaderView)

//----------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(CClientHeaderView, CHeaderView)
//{{AFX_MSG_MAP(CClientHeaderView)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//----------------------------------------------------------------------------

CClientHeaderView::CClientHeaderView()
{
}

//----------------------------------------------------------------------------


CClientHeaderView::~CClientHeaderView()
{
}

//----------------------------------------------------------------------------


void CClientHeaderView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint)
{
    if( lHint == ID_DISPLAY_CLIENTHEADER_URL )
    {
        FillGrid(((CStringObject*)pHint)->m_strObject) ;
    }
    else
        CHeaderView::OnUpdate(pSender, lHint, NULL);
}
