/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//========================================================================
//
// CECServiceStartup.h
// -------------------
//
//    This is the include file for the CECServiceStartup class
//
//=========================================================================
#if !defined(AFX_CECSERVICESTARTUP_H__A2C4BC24_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_)
#define AFX_CECSERVICESTARTUP_H__A2C4BC24_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
/////////////////////////////////////////////////////////////////////////////
// CECServiceStartup dialog

class CECServiceStartup : public CDialog
{
    // Construction
public:
    void PerformStartup();
    void SetStartup (const CString& szStartup)
    {
        m_szStartup = szStartup;
    }
    void SetService (const CString& szService)
    {
        m_szService = szService;
    }
    void SetName    (const CString& szName)
    {
        m_szName = szName;
    }
    CString GetStartup()
    {
        return m_szStartup;
    }
    CECServiceStartup(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECServiceStartup)
    enum { IDD = IDD_SERVICE_STARTUP };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECServiceStartup)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECServiceStartup)
    virtual BOOL OnInitDialog();
    afx_msg void OnAutomatic();
    afx_msg void OnManual();
    afx_msg void OnDisabled();
    virtual void OnOK();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CString m_szName;
    CString m_szService;
    CString m_szStartup;
    CString m_szNewStartup;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECSERVICESTARTUP_H__A2C4BC24_4DDA_11D4_9FBD_00500487BD9B__INCLUDED_)
