/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_TESTEXECUTEDLG_H__37BC8F66_1C28_11D4_A6C5_00500447FC27__INCLUDED_)
#define AFX_TESTEXECUTEDLG_H__37BC8F66_1C28_11D4_A6C5_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TestExecuteDlg.h : header file
//
#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CTestExecuteDlg dialog

class CTestExecuteDlg : public CDialog
{
    // Construction
public:
    CTestExecuteDlg(CString szTest, CWnd* pParent = NULL);   // standard constructor
    ~CTestExecuteDlg();

    CString m_strTest;
    BOOL ExecuteTest();
    void SetExecuted(BOOL bExec);
    int InvokeImage (char*  pImageName) ;
    HANDLE      m_hChildStdoutRd;
    HANDLE      m_hChildStdoutWr;
    HANDLE      m_hChildStdinRd;
    void ReadFromChild  ();

    // Dialog Data
    //{{AFX_DATA(CTestExecuteDlg)
    enum { IDD = IDD_EXECUTE_TEST_DLG };
    CEdit   m_ctlExecStatus;
    CString m_strExecStatus;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CTestExecuteDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CTestExecuteDlg)
    virtual BOOL OnInitDialog();
    virtual void OnCancel();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    static UINT executeTest(LPVOID pParam);
    CWinThread *m_pExecTestThread;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTEXECUTEDLG_H__37BC8F66_1C28_11D4_A6C5_00500447FC27__INCLUDED_)
