/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// TestResultsPlugin.h: interface for the CTestResultsPlugin class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTRESULTSPLUGIN_H__05932604_E620_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_TESTRESULTSPLUGIN_H__05932604_E620_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTestResultsPlugin  
{
public:
	CTestResultsPlugin(CString szTitle,CPluginManager* pPluginManager);
	virtual ~CTestResultsPlugin();

	void LoadRun(const CString& strRun);
	void GetAvailableGraphs(CStringArray& arstrGraphs);
	CWnd* DisplayGraph(const CString& strGraph,CWnd* pParent,const CRect& rcBounds);

private:
	CPlugin* m_pPlugin;
};

#endif // !defined(AFX_TESTRESULTSPLUGIN_H__05932604_E620_11D4_94C9_00C04F89E392__INCLUDED_)
