// FindInFilesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "FindInFilesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindInFilesDlg dialog


CFindInFilesDlg::CFindInFilesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindInFilesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindInFilesDlg)
	//}}AFX_DATA_INIT
	m_strSearchText = AfxGetApp()->GetProfileString("FindInFiles","Search Text","");
	m_bCompareCase = AfxGetApp()->GetProfileInt("FindInFiles","Match Case",0);
}


void CFindInFilesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindInFilesDlg)
	DDX_Text(pDX, IDC_FINDTEXT, m_strSearchText);
	DDX_Check(pDX, IDC_COMPARE_CASE, m_bCompareCase);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindInFilesDlg, CDialog)
	//{{AFX_MSG_MAP(CFindInFilesDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindInFilesDlg message handlers

void CFindInFilesDlg::OnOK() 
{
	UpdateData();

	AfxGetApp()->WriteProfileString("FindInFiles","Search Text",m_strSearchText);
	AfxGetApp()->WriteProfileInt ("FindInFiles","Match Case",m_bCompareCase);
	
	CDialog::OnOK();
}

BOOL CFindInFilesDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	UpdateData(FALSE);	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
