#if !defined(AFX_SELECTBROWSERDLG_H__C91C83A3_8E01_11D4_949D_00C04F89E392__INCLUDED_)
#define AFX_SELECTBROWSERDLG_H__C91C83A3_8E01_11D4_949D_00C04F89E392__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SelectBrowserDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSelectBrowserDlg dialog

class CSelectBrowserDlg : public CDialog
{
    // Construction
public:
    CSelectBrowserDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CSelectBrowserDlg)
    enum { IDD = IDD_BROWSER_DLG };
    CComboBox   m_ctlBrowsers;
    //}}AFX_DATA

    void SetCurrentBrowser(int nID)
    {
        m_nBrowserID = nID;
    }
    int GetCurrentBrowser()
    {
        return m_nBrowserID;
    }
    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CSelectBrowserDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CSelectBrowserDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CImageList m_imlNormal;
    int m_nBrowserID;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SELECTBROWSERDLG_H__C91C83A3_8E01_11D4_949D_00C04F89E392__INCLUDED_)
